Loading...
Searching...
No Matches
BALL::VIEW::MessageEvent Class Reference

`#include <BALL/VIEW/KERNEL/threads.h>`

Inheritance diagram for BALL::VIEW::MessageEvent:

## Public Member Functions

| MessageEvent (Message *msg=0)
void | setMessage (Message *msg)
Message * | getMessage ()

## Protected Attributes

Message * | message_

## Detailed Description

A QT Event, that can contain a VIEW message. Use this class to post events and thus messages over thread boundaries. Create the Message on the heap, it will be automatically deleted after sending!

Definition at line 31 of file threads.h.

## Constructor & Destructor Documentation

## MessageEvent()

BALL::VIEW::MessageEvent::MessageEvent | ( | Message * | msg = 0 | ) |

inline

Definition at line 37 of file threads.h.

## Member Function Documentation

## getMessage()

Message * BALL::VIEW::MessageEvent::getMessage | ( |  | ) |

inline

Definition at line 46 of file threads.h.

## setMessage()

void BALL::VIEW::MessageEvent::setMessage | ( | Message * | msg | ) |

inline

Definition at line 43 of file threads.h.

## Member Data Documentation

## message_

Message* BALL::VIEW::MessageEvent::message_

protected

Definition at line 50 of file threads.h.